<?php
	$queries = array("
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."players
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				name VARCHAR(255) NOT NULL default '',
				lastupdate VARCHAR(255) NOT NULL default 0
			) ENGINE = MYISAM
		;
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."cmsdata
			(
				CMS VARCHAR(255) NOT NULL default '',
				Data LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."playernames
			(
				ID INT NOT NULL default 0,
				name VARCHAR(255) NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."settings
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."settings
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				Version VARCHAR(16) NOT NULL default '',
				Language VARCHAR(32) NOT NULL default '',
				Path VARCHAR(255) NOT NULL default '',
				CMS VARCHAR(255) NOT NULL default '01_standalone',
				Theme VARCHAR(32) NOT NULL default 'dark-blue',
				Clanname VARCHAR(64) NOT NULL default '',
				Clanpage VARCHAR(64) NOT NULL default '',
				Clantag VARCHAR(64) NOT NULL default '',
				Lastupdate INT NOT NULL default 1,
				Adminlink TINYINT NOT NULL default 1,
				Supportlink TINYINT NOT NULL default 1,
				Showupdate TINYINT NOT NULL default 0,
				Overview_Average TINYINT NOT NULL default 1,
				Overview_Summary TINYINT NOT NULL default 0,
				Detaillink TINYINT NOT NULL default 0
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."overview
	", "
/**/		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."overview
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				country TINYINT NOT NULL default 1,
				name TINYINT NOT NULL default 1,
				time TINYINT NOT NULL default 1,
				score TINYINT NOT NULL default 1,
				score_per_minute TINYINT NOT NULL default 1,
				kills TINYINT NOT NULL default 1,
				deaths TINYINT NOT NULL default 0,
				kdr TINYINT NOT NULL default 1,
				dogt TINYINT NOT NULL default 1,
				accuracy TINYINT NOT NULL default 0,
				wins TINYINT NOT NULL default 1,
				losses TINYINT NOT NULL default 0,
				wlr TINYINT NOT NULL default 1,
				bestIARScore TINYINT NOT NULL default 1,
				highestScoreStreak TINYINT NOT NULL default 1,
				updt TINYINT NOT NULL default 1
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_default
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_default
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				name VARCHAR(255) NOT NULL default '',
				country VARCHAR(16) NOT NULL default '',
				score INT NOT NULL default 0,
				time INT NOT NULL default 0,
				score_per_minute INT NOT NULL default 0,
				kills INT NOT NULL default 0,
				deaths INT NOT NULL default 0,
				dogt INT NOT NULL default 0,
				accuracy FLOAT NOT NULL default 0,
				wins INT NOT NULL default 0,
				losses INT NOT NULL default 0,
				bestIARScore INT NOT NULL default 0,
				highestScoreStreak INT NOT NULL default 0
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_rankings
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_rankings
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				score INT NOT NULL default 0,
				kills INT NOT NULL default 0,
				kdr INT NOT NULL default 0,
				highestScoreStreak INT NOT NULL default 0,
				games INT NOT NULL default 0,
				bestIARScore INT NOT NULL default 0,
				score_per_minute INT NOT NULL default 0
			) ENGINE = MYISAM
		;
	");
?>